/* Poopmup - An urban flight sim
 *
 * Copyright (C) 2002 Zaroubi, Fink, Leclerc, Stanek szaroubi@hotmail.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* Fries for Poopmup

 */

#ifndef POOP_EM_UP_MYFRIES_H
#define POOP_EM_UP_MYFRIES_H

#include "../movableObjects/MovableObject.h"

#define FRY_BONUS_MINVAL 1
#define FRY_BONUS_MAXVAL 10

#define FRY_TYPE_POOP   0
#define FRY_TYPE_ACID   1
#define FRY_TYPE_PURIFRY   2
//#define FRY_TYPE_HEALTH 3
#define FRY_TYPE_MAXVAL 2

class myFries : public MovableObject
{
 private:
  int type;
  float bonus;

 public:
  
  myFries() 
    {
      scaleBy(5,5,40);
    }
  ~myFries() {}
  
  void setType(int t);
  int getType(){return type;}
  void drawGeometry();
  void setBonus(float t);
  float getBonus(){return bonus;}
};

void myFries::drawGeometry()
{
  // draw a red box of fries
  glutSolidCube(1);
  /*
    if (type == FRY_TYPE_HEALTH){
    //Make the fry look like a cross
    glPushMatrix();
    glScalef(5,1,0.2);
    glutSolidCube(1);
    glPopMatrix();
    }
  */
}

void myFries::setType(int t){
  type = t;
  switch(t){
    //case FRY_TYPE_HEALTH:
    //setColor(1,0,0);
    //break;
  case FRY_TYPE_POOP:
    setColor(.7,.7,0);
    break;
  case FRY_TYPE_ACID:
    setColor(.9,.9,.5);
    break;
  case FRY_TYPE_PURIFRY:
    setColor(1,1,1);
    break;
  }
}

void myFries::setBonus(float t){
  bonus = t;
  //scaleBy(bonus/FRY_BONUS_MAXVAL, bonus/FRY_BONUS_MAXVAL, bonus/FRY_BONUS_MAXVAL);
}
#endif
