/* Poopmup - An urban flight sim
 *
 * Copyright (C) 2002 Zaroubi, Fink, Leclerc, Stanek szaroubi@hotmail.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef BIRDGEOMETRY_H
#define BIRDGEOMETRY_H

#include "../base/myObject2.h"
#include "../../common.h"

class birdGeometry: public myObject2{
  
 public:
  birdGeometry(){
    init();
  }
  void init();
  ~birdGeometry(){};
  void drawGeometry();
};

void birdGeometry::init(){
  translateBy(0,0,-30);
  scaleBy(60,20,5);
}

void birdGeometry::drawGeometry(){
  glutSolidCube(1);
}


#endif
