/* Poopmup - An urban flight sim
 *
 * Copyright (C) 2002 Zaroubi, Fink, Leclerc, Stanek szaroubi@hotmail.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/***************************************************************************
                          axis.h  -  description
                             -------------------
    begin                : Wed Oct 9 2002
    copyright            : (C) 2002 by Sherif Zaroubi
    email                : fogof@localhost.localdomain
 ***************************************************************************/


#ifndef MYAXIS_H
#define MYAXIS_H

#include "../base/myObject2.h"

/**
  *@author Sherif Zaroubi
  */

class myAxis : public myObject2  {
	public:
		myAxis();
		~myAxis();
  		void drawGeometry();
    	GLfloat getWidth(){ return 1;}
     	GLfloat getHeight(){ return 1;}
};

myAxis::myAxis(){
}
myAxis::~myAxis(){
}

void myAxis::drawGeometry(){
    /* draw the axis */

    glPushMatrix();
    glLineWidth( 2 );

    /* x axis */
    glColor3f( 1, 0, 0 );
    glBegin( GL_LINES );
    glVertex3f( 0, 0, 0 );
    glVertex3f( getWidth(), 0, 0 );
    glEnd();

    /* y axis */
    glColor3f( 0, 1, 0 );
    glBegin( GL_LINES );
    glVertex3f( 0, 0, 0 );
    glVertex3f( 0, getWidth(), 0 );
    glEnd();

    /* z axis */
    glColor3f( 0, 0, 1 );
    glBegin( GL_LINES );
    glVertex3f( 0, 0, 0 );
    glVertex3f( 0, 0, getWidth() );
    glEnd();

	glColor3f( .7, .7, .7 );
    glLineWidth( 3 );
    glPopMatrix();
}

#endif
